summaryrefslogtreecommitdiff
path: root/localps2pdfprepressrgb13
diff options
context:
space:
mode:
Diffstat (limited to 'localps2pdfprepressrgb13')
-rwxr-xr-xlocalps2pdfprepressrgb1317
1 files changed, 17 insertions, 0 deletions
diff --git a/localps2pdfprepressrgb13 b/localps2pdfprepressrgb13
new file mode 100755
index 0000000..7a66b77
--- /dev/null
+++ b/localps2pdfprepressrgb13
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -eu
+
+infile="$1"
+outfile="${2:-$(basename "$infile" .pdf)_rgb13.pdf}"
+
+# https://stackoverflow.com/questions/20128656
+gs \
+ -sDEVICE=pdfwrite \
+ -dPDFSETTINGS=/prepress \
+ -sProcessColorModel=DeviceRGB \
+ -sColorConversionStrategy=RGB \
+ -dOverrideICC \
+ -dCompatibilityLevel=1.3 \
+ -o "$outfile" \
+ -f "$infile"